<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>$ref</title>
</head>
<body>
 
    <div id="app">
        <center>
            <button @click="changeColor()">Cambiar color</button>
            <hr>
            <div ref="cont">...</div>
        </center>

    </div>
   

    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>

        const app = new Vue({
            el:"#app",
            data: {
                number:0

            },
            methods:{
                changeColor(){
                    this.number++
                    if(this.number == 1){
                        return this.$refs.cont.style.background = "red"
                    }else if(this.number == 2){
                        return this.$refs.cont.style.background = "green"
                    }else if(this.number == 3){
                        return this.$refs.cont.style.background = "blue"
                    }
                }
            }
        
          
          
        })

    </script>
</body>
</html>